Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::G::Signal6< R, P1, P2, P3, P4, P5, P6 > Class Template Reference

A template for a signal passing six arguments of type P1, P2, P3, P4, P5 and P6, and returning a value of type R. More...

`#include <xfc/glib/signals.hh>`

Inheritance diagram for Xfc::G::Signal6< R, P1, P2, P3, P4, P5, P6 >:

List of all members.

## Public Types

- typedef sigc::slot< R, P1,
  P2, P3, P4, P5, P6 > SlotType
    The slot signature for slots connecting to this signal is a function taking six arguments (P1, P2, P3, P4, P5 and P6) and returning type R.

## Public Member Functions

- Signal6 (const char *name, GCallback callback)
    Constructs a new signal.
- sigc::connection connect (TypeInstance *instance, const SlotType &slot, const char *detail=0, bool after=false) const
    Connect a slot to the signal.

## Detailed Description

### template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
class Xfc::G::Signal6< R, P1, P2, P3, P4, P5, P6 >

A template for a signal passing six arguments of type P1, P2, P3, P4, P5 and P6, and returning a value of type R.

## Constructor & Destructor Documentation

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
Xfc::G::Signal6< R, P1, P2, P3, P4, P5, P6 >::Signal6 | ( | const char * | name,
|  | GCallback | callback
| ) | `[inline]`

Constructs a new signal.

Parameters:

  | name | The GTK+ name for the signal.
  | callback | The callback function to translate GObject signal emissions into sigc::slot calls.

## Member Function Documentation

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
sigc::connection Xfc::G::Signal6< R, P1, P2, P3, P4, P5, P6 >::connect | ( | TypeInstance * | instance,
|  | const SlotType & | slot,
|  | const char * | detail = `0`,
|  | bool | after = `false`
| ) | const`[inline]`

Connect a slot to the signal.

Parameters:

  | instance | The object instance containing the signal.
  | slot | A slot of type sigc::slot<R, P1, P2, P3, P4, P5, P6>.
  | detail | The detail string to append to the signal name, or null.
  | after | Set true to call the user-defined slot after the signal, or false to let the signal's default behavior preside.

Returns:
  A sigc::connection object.

The connection object can be used to control the signal connection, either by calling block(), unblock() or disconnect(). You don't need to call discconnect() unless you have good reason to. GTK+ signals are automatically disconnected when an object gets destroyed.

The documentation for this class was generated from the following file:

- signals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3